Subject: Re: [PATCH 03/72] t/test-lib.sh: add always-set NO_GETTEXT_POISON prerequisite

From: Jonathan Nieder <[email-masked]>
Date: Sun, 20 Feb 2011 16:10:33 -0600

Ævar Arnfjörð Bjarmason wrote:

> Well, the feature I have is to inject garbage into the gettext strings
> in an effort to smoke out when I break the plumbing. So I think given
> that functionality calling it NO_GETTEXT_POISON makes sense.
>
> But I plan to add something to smoke other languages etc. later. Then
> I might name that other prerequisite something else.

On second thought, another possibility would be _two_ prerequisites,
one NO_GETTEXT_POISON one and one ENGLISH one.  The weird edge cases
could require NO_GETTEXT_POISON, causing the reader to look to
t/README to figure out what is going on.  The others would just use
ENGLISH.

Does that sound reasonable?